M_STRING(3)

NAME
M_String - Agar-Math extensions to AG_Printf

SYNOPSIS

    #include <agar/core.h>
    #include <agar/gui.h>
    #include <agar/math/m.h>

DESCRIPTION
The formatting engine used by AG_Printf(3) and AG_PrintfP(3) allow the registration of format string extensions. Once the Agar-Math library is initialized, the following format specifiers become available:

%[R]
    Real-number (of M_Real(3) type).
%[T]
    A time value (of M_Time(3) type).
%[C]
    A complex number (of M_Complex(3) type).
%[V]
    A general vector in R^n (of M_Vector(3) type).
%[V2]
    A vector in R^2 (of M_Vector2 type).
%[V3]
    A vector in R^3 (of M_Vector3 type).
%[V4]
    A vector in R^4 (of M_Vector4 type).
%[M]
    A general matrix (of M_Matrix(3) type).
%[M44]
    A 4x4 matrix (of M_Matrix44 type).

SEE ALSO
AG_String(3)